

int main()
 {

	Strategy *a = new Strategy (20);

	Strategy *b = new Strategy (20);

	Strategy *c = new Strategy (20);

	Agent anAgent(20, 45, 10);

	Agent anotherAgent(20, 45, 10, a, b, c);

	
		for (int i = 0; i<20; i++)
 	{

		cout << anAgent.isGoingToBar(i) << " " << anotherAgent.isGoingToBar(i) << endl;

	}
	
	int stm = 0;

	int wins[20] = [1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1];
			anAgent.tellWins[wins,stm];

	cout << anAgent.isDead() << " " << anotherAgent.isDead() << endl;

	return 0;

}